Subject: Re: [MOBILE-IP] WG Last Call - Mobility Support in IPv6

From: "Charles E. Perkins" <[email-masked]>
Date: Fri, 22 Sep 2000 12:03:28 -0700

Hello Mattias,

I am responding to a note that you sent earlier in the year.

> A CN/HA with more than one interface address may get independent BUs
> sent to it. The mobile node will consider them as different nodes and
> keep one BUL entry for each of them. Especially, it will use independent
> sets of sequence numbers, which in turn will cause the receiving CN/HA
> to get very confused (and not accept the BUs).
>
> This can happen to any host/router that has multiple interface addresses
> of the same scope as the home address, not only nodes with multiple
> interfaces.

Agreed.

> My suggestion is to keep a Binding Cache on a CN/HA for every interface
> address that's assigned, and to clear this out in the draft under
> "Conceptual structs". Currently you can read both do and don't out of
> the spec. It will be more complex, but it is the logical way to do it.

Wouldn't it be easier for the mobile node to use a single
monotonically increasing sequence number for all of its
interfaces and correspondent nodes?  Shouldn't this behavior
be mandated, or at least strongly recommended?

Regards,
Charlie P.